Page MenuHomePhabricator

Gather pages should not simply be a totally empty if there are no collections
Closed, DeclinedPublic

Description

If you go to Special:Gather/all/public and there are no collections, a totally empty table is shown. This could be used as a CTA to create a collection, like the Android app does for saved pages and history.

This also happens on the new Special:Gather public feed introduced in T101115

Event Timeline

Deskana created this task.Apr 3 2015, 5:07 AM
Deskana raised the priority of this task from to Needs Triage.
Deskana updated the task description. (Show Details)
Deskana added a project: Gather.
Deskana added a subscriber: Deskana.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2015, 5:07 AM
Deskana triaged this task as Lowest priority.Apr 3 2015, 5:36 PM

Practically this will never be empty unless it's a totally new wiki. Given that this is (right now) being developed explicitly for Wikipedia which makes it actually impossible (practically speaking) to ever get into this state, I am marking this as lowest priority.

We're also not sure about the future of this page but yeah at some point we'll want to look at this.

Jdlrobson moved this task from Needs triage to Some day on the Gather board.Apr 3 2015, 8:16 PM
Jdlrobson renamed this task from GatherLists table should not simply be a totally empty if there are no collections to Gather pages should not simply be a totally empty if there are no collections.Jun 15 2015, 6:38 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson set Security to None.
Jdlrobson updated the task description. (Show Details)Jul 6 2015, 7:19 PM
Jdlrobson added a project: good first task.
MBinder_WMF closed this task as Declined.Jun 1 2016, 9:59 PM
MBinder_WMF added a subscriber: MBinder_WMF.

This task was declined as part of a batch-decline related to sunsetting the Gather project. Please ping (politely) if this task should be reopened. For more information, you can also see here: https://www.mediawiki.org/wiki/Extension:Gather